import * as React from "react";
import * as FontAwesome from "react-fontawesome";
import { FlexBox, FlexItem } from "../flex";
import "./AlertMessage.less";
function cssClass(element) {
    return "AlertMessage--" + element;
}
export var AlertMessage = function (_a) {
    var icon = _a.icon, messageText = _a.messageText;
    return (React.createElement(FlexBox, { className: cssClass("Container") },
        React.createElement(FontAwesome, { "aria-hidden": "true", name: icon, size: "lg" }),
        React.createElement(FlexItem, { className: cssClass("Message"), grow: true }, messageText)));
};
